cURL
pcall GET "/api/v1/partner/skill-requests?status=pending&limit=50"const res = await call("GET", "/api/v1/partner/skill-requests?status=pending&limit=50");
const { data } = await res.json();res = call("GET", "/api/v1/partner/skill-requests?status=pending&limit=50")
data = res.json()["data"]<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-bc.userecord.io/api/v1/partner/skill-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-secret-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-bc.userecord.io/api/v1/partner/skill-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-bc.userecord.io/api/v1/partner/skill-requests")
.header("x-api-key", "<api-key>")
.header("x-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-bc.userecord.io/api/v1/partner/skill-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["x-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"items": [
{
"request_id": "skr_9f2c41d7a8b3e65f1c02",
"name": "Reach Truck Operation",
"status": "pending",
"collar": "blue",
"domain_hint": "Logistics and warehousing",
"mandate_external_id": "job-10452",
"requested_by": "recruiter_1042",
"skill": null,
"reason": null,
"created_at": "2026-10-09T10:20:00.000Z",
"updated_at": "2026-10-09T10:20:00.000Z"
}
],
"count": 1,
"total": 1,
"next_cursor": null,
"has_more": false
}
}Skills
List skill requests
See every skill you asked for and where it stands.
Scope: skills:request
GET
/
skill-requests
cURL
pcall GET "/api/v1/partner/skill-requests?status=pending&limit=50"const res = await call("GET", "/api/v1/partner/skill-requests?status=pending&limit=50");
const { data } = await res.json();res = call("GET", "/api/v1/partner/skill-requests?status=pending&limit=50")
data = res.json()["data"]<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-bc.userecord.io/api/v1/partner/skill-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-secret-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-bc.userecord.io/api/v1/partner/skill-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-bc.userecord.io/api/v1/partner/skill-requests")
.header("x-api-key", "<api-key>")
.header("x-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-bc.userecord.io/api/v1/partner/skill-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["x-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"items": [
{
"request_id": "skr_9f2c41d7a8b3e65f1c02",
"name": "Reach Truck Operation",
"status": "pending",
"collar": "blue",
"domain_hint": "Logistics and warehousing",
"mandate_external_id": "job-10452",
"requested_by": "recruiter_1042",
"skill": null,
"reason": null,
"created_at": "2026-10-09T10:20:00.000Z",
"updated_at": "2026-10-09T10:20:00.000Z"
}
],
"count": 1,
"total": 1,
"next_cursor": null,
"has_more": false
}
}Authorizations
Your key id, VFN_TEST_… or VFN_LIVE_…. Sent on every request.
Your secret, VFN_SK_…. Not a real header, and never sent to the API. It is only a form field for Try it, which uses it to sign your request in your browser. In your own code you sign each request with the secret and send x-api-key, x-timestamp and x-signature (see Authentication).
Query Parameters
Available options:
pending, approved, merged, rejected, duplicate_of 1 to 100, default 50
Required range:
1 <= x <= 100The next_cursor of the previous page
Maximum string length:
512
